<?php

namespace DMG\Wires;

/**
 * Class Settings
 *
 * Register a settings page
 *
 * @package DMG\Wires
 */
class Settings {

	/**
	 * The name of the option
	 * 
	 * @var string
	 */
	const OPTION_GROUP = 'dmg_wires';

	/**
	 * The settings page name
	 * 
	 * @var string
	 */
	const PAGE_NAME = 'dmg-wires-settings';

	/**
	 * Init
	 */
	public static function init() {
		add_action( 'admin_menu', array( __CLASS__, 'add_submenu_page' ) );
	}

	/**
	 * Add the submenu page for the settings
	 */
	public static function add_submenu_page() {
		add_submenu_page(
			'edit.php?post_type=' . Post_Type::NAME,
			'DMG Wires Settings',
			'Settings',
			'administrator',
			self::PAGE_NAME,
			array( __CLASS__, 'page_callback' )
		);
	}

	/**
	 * Settings page callback
	 */
	public static function page_callback() {
		settings_errors( 'dmg_wires_messages' );
		?>
		<div class="wrap">
			<h1><?php echo esc_html( get_admin_page_title() ); ?></h1>
			<form action="options.php" method="post">
				<?php
				settings_fields( self::OPTION_GROUP );
				do_settings_sections( self::PAGE_NAME );
				submit_button( 'Save Settings' );
				?>
			</form>
		</div>
		<?php
	}
}

Settings::init();
